<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.beeboxs.mapper.HiveBeehiveMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.beeboxs.entity.HiveBeehive">
        <id column="id" property="id" />
        <result column="hive_id" property="hiveId" />
        <result column="station_id" property="stationId" />
        <result column="hive_code" property="hiveCode" />
        <result column="net_status" property="netStatus" />
        <result column="bat" property="bat" />
        <result column="rssi" property="rssi" />
        <result column="bee_status" property="beeStatus" />
        <result column="temp" property="temp" />
        <result column="humi" property="humi" />
        <result column="upload_time" property="uploadTime" />
        <result column="other1" property="other1" />
        <result column="other2" property="other2" />
        <result column="create_date" property="createDate" />
        <result column="farm_id" property="farmId" />
    </resultMap>

</mapper>
